View Issue Details

IDProjectCategoryView StatusLast Update
0028781LazarusLCLpublic2015-11-06 07:54
ReporterPéter GáborAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.5 (SVN)Product Build 
Target Version1.6Fixed in Version1.6 
Summary0028781: published TextHint for some controls
DescriptionPatch attached for lcl/editbtn.pas to make TextHint, TextHintFontColor, TextHintFontStyle properties to be published in controls where it is not published yet.
TagsNo tags attached.
Fixed in Revisionr49972
LazTarget1.6
Widgetset
Attached Files
  • editbtn_texthint.diff (584 bytes)
    Index: lcl/editbtn.pas
    ===================================================================
    --- lcl/editbtn.pas (revision 49952)
    +++ lcl/editbtn.pas (working copy)
    @@ -531,6 +531,9 @@
         property OnStartDrag;
         property OnUTF8KeyPress;
         property Text;
    +    property TextHint;
    +    property TextHintFontColor;
    +    property TextHintFontStyle;
       end;
     
       { TFileNameEdit }
    @@ -955,6 +958,9 @@
           property TabOrder;
           property Visible;
           property Text;
    +      property TextHint;
    +      property TextHintFontColor;
    +      property TextHintFontStyle;
       end;
       
     
    
    editbtn_texthint.diff (584 bytes)

Relationships

parent of 0028956 resolvedOndrej Pokorny Patches IdeOptionsDialog: i18n texthint 

Activities

Péter Gábor

2015-10-06 10:48

reporter  

editbtn_texthint.diff (584 bytes)
Index: lcl/editbtn.pas
===================================================================
--- lcl/editbtn.pas (revision 49952)
+++ lcl/editbtn.pas (working copy)
@@ -531,6 +531,9 @@
     property OnStartDrag;
     property OnUTF8KeyPress;
     property Text;
+    property TextHint;
+    property TextHintFontColor;
+    property TextHintFontStyle;
   end;
 
   { TFileNameEdit }
@@ -955,6 +958,9 @@
       property TabOrder;
       property Visible;
       property Text;
+      property TextHint;
+      property TextHintFontColor;
+      property TextHintFontStyle;
   end;
   
 
editbtn_texthint.diff (584 bytes)

Péter Gábor

2015-10-06 11:26

reporter   ~0086271

Last edited: 2015-10-06 11:41

View 2 revisions

Delete the second patch it cannot be compiled.

Juha Manninen

2015-10-06 12:36

developer   ~0086272

Second patch deleted.

Bart Broersma

2015-10-07 14:19

developer   ~0086298

Applied. Thanks for the patch.
Please close if OK.

Issue History

Date Modified Username Field Change
2015-10-06 10:48 Péter Gábor New Issue
2015-10-06 10:48 Péter Gábor File Added: editbtn_texthint.diff
2015-10-06 11:26 Péter Gábor Note Added: 0086271
2015-10-06 11:27 Péter Gábor File Added: texthint_patch2.diff
2015-10-06 11:41 Péter Gábor Note Edited: 0086271 View Revisions
2015-10-06 12:36 Juha Manninen File Deleted: texthint_patch2.diff
2015-10-06 12:36 Juha Manninen Note Added: 0086272
2015-10-06 13:13 Juha Manninen Assigned To => Bart Broersma
2015-10-06 13:13 Juha Manninen Status new => assigned
2015-10-07 14:19 Bart Broersma Fixed in Revision => r49972
2015-10-07 14:19 Bart Broersma LazTarget => 1.6
2015-10-07 14:19 Bart Broersma Note Added: 0086298
2015-10-07 14:19 Bart Broersma Status assigned => resolved
2015-10-07 14:19 Bart Broersma Fixed in Version => 1.6
2015-10-07 14:19 Bart Broersma Resolution open => fixed
2015-10-07 14:19 Bart Broersma Target Version => 1.6
2015-10-07 17:48 Péter Gábor Status resolved => closed
2015-11-06 07:54 Ondrej Pokorny Relationship added parent of 0028956